Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class ReferenceBundle

    java.lang.Object
      org.codehaus.groovy.util.ReferenceBundle

    public class ReferenceBundle
    extends Object

Constructor Summary
`ReferenceBundle(ReferenceManager manager, ReferenceType type)`

Method Summary
`ReferenceManager` | `getManager()`
`static ReferenceBundle` | `getSoftBundle()`
`ReferenceType` | `getType()`
`static ReferenceBundle` | `getWeakBundle()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ReferenceBundle

    public ReferenceBundle(ReferenceManager manager, ReferenceType type)

Method Detail

### getManager

    public ReferenceManager getManager()

### getSoftBundle

    public static ReferenceBundle getSoftBundle()

### getType

    public ReferenceType getType()

### getWeakBundle

    public static ReferenceBundle getWeakBundle()

Copyright © 2003-2010 The Codehaus. All rights reserved.